import pyb
from pyb import I2C
from ssd1306 import SSD1306
import _thread
import time
from machine import Pin

p_out = Pin('PA8', Pin.OUT_PP)
p_out.low()
time.sleep(1)
p_out.high()
display = SSD1306(pinout={'sda': 'PB7','scl': 'PB6'},height=64,external_vcc=False)

def funcA(sec):
	time.sleep(sec)

	display.poweron()
	display.init_display()
	display.draw_text(1,49,'YD-VCC-GND')

	for x in range(1,48):
		display.set_pixel(x,11,True)
		display.set_pixel(x,46,True)
	for y in range(11,46):
		display.set_pixel(1, y,True)
		display.set_pixel(48, y,True)

	display.display()

	while True:
		pyb.LED(4).toggle()
		time.sleep_ms(1000)

if __name__ == '__main__':
	_thread.start_new_thread(funcA, (1,))






